function [MFGRprofit,pr,costVehicle]=estprofit(xx,z)

global beta K J B4 B5 enginebaseSI pscale ev0
global costInvest costBody mktSize NDRAW

xw=xx(:,1); x1=xx(:,2); x2=xx(:,3);
pw=enginebaseSI.*x1; w=pscale.*xw; p=w; 

costEngine=B4*exp(B5*pw);
costVehicle=costEngine+costBody;
z=getz(xx); % size [K,NZ]
zz=repmat(z,[1,1,NDRAW]); % size [K,NZ,NDRAW]
bb=repmat(beta,[K,1,1]);  % size [K,NZ,NDRAW]
vv=bb(:,1,:).*zz(:,1,:)+100*bb(:,2,:)./zz(:,2,:)+60*bb(:,3,:)./zz(:,3,:);
ev=exp(vv);
evsum=sum(ev,1)+ev0;  % ev0 = exp(utility of outside good)
% for each manufacturer has one product only
% for multiple porduct - need sum twice: sum(sum(ev,2),1)
L=ev./repmat(evsum,[K,1]); % also for each manufacturer has one product only
pr=sum(L,3)./NDRAW; % average simulation
qty=pr*mktSize;
MFGRprofit=qty.*(w-costVehicle)-costInvest;
