function dpidm=getdpidm(xx,L)

global beta pscale NDRAW K
m=pscale.*xx(:,4); % retial margin
dvdp=repmat(beta(1,1,:),[K,1,1]);
rm=repmat(m,[1,1,NDRAW]); % retailer margin

% size of L: [K,1,NDRAW]
% size of beta: [1,NZ,NDRAW]

% for single common retailer
sumLRM=repmat(sum(L.*rm,1),[K,1]);
dpidm=sum(L.*(dvdp.*(rm-sumLRM)+1),3)/NDRAW;

%% for franchised retailer (FR)
%dpidm=sum(L.*(dvdp.*rm.*(1-L)+1),3)/NDRAW;
