function fval=getdpidx(xx,z,L)

global NDRAW pscale K NX
w=xx(:,1)*pscale;
c=getcost(xx);

% since z is spline meta-model
% dvdx needs to be evaluated by numberical differentiation
dvdx=getdvdx(xx,z);  % size [K,NX,NDRAW] 
dcdx=getdcdx(xx);  % size [K,NX] 

% size of L: [K,1,NDRAW]
LL=repmat(L,[1,NX,1]); % size of LL: [K,NX,NDRAW]
mm=repmat(w-c,[1,NX,NDRAW]); % MFGR margin
% all matrices are operated in size [K,NX,NDRAW]
dpidx=sum(LL.*(dvdx.*mm.*(1-LL)-repmat(dcdx,[1,1,NDRAW])),3)/NDRAW;

fval=dpidx; % size [K,NX]

%fval=reshape(dpidx,[K*NX,1]);
% size: 1-x1
%       ..
%       K-x1
%       1-x2
%       ....
%       K-x2