function fval=objprofitSCR(xm,M)

% For common retialer, xm should be a vector of all product prices

global pscale mktSize
xx=squeeze(M(:,1,2:5)); % get all xw, x1, x2 and xm
xx(:,4)=xm; % replace retailer prices of all products with xm
crm=pscale*xm;

z=getz(xx); % size [K,NZ]
[profitM,pr,cv]=estprofit(xx,z); % to get pr

qty=pr*mktSize;
profitSCR=sum(qty.*crm,1);
fval=-profitSCR;