function fval=getdpidw(xx,s)
% xx: [xw x1 x2 xm]

global pscale R K T beta
dvdp=beta(:,1);
w=pscale.*xx(:,:,1); c=getcv(xx);
wc=w-c; % size [K,T]

% s size: [R,K,T]
% sum s(w-c) over t
sumswc=zeros(R,K);
for k=1:K
    for tt=1:T
        sumswc(:,k)=sumswc(:,k)+s(:,k,tt).*wc(k,tt);
    end
end

for k=1:K
    for t=1:T
        dpidw(:,k,t)=s(:,k,t).*( dvdp.*(wc(k,t)-sumswc(:,k)) +1 );
    end
end 

fval=squeeze(sum(dpidw,1)/R);
