function nfval=objprofitM(xwx,xx0,k)
% the MCR case in the VN game
% Nash condition check 
% check the manufacturer profit

global pscale MktSize ev0 K R T

% xwx = [w_t1 w_t2 x1 x2]
xx=xx0; 
% replace xw, x1 & x2 with new ones for k's products
xx(k,1,1)  =xwx(1,1);
xx(k,2,1)  =xwx(1,2);
xx(k,1,2:3)=xwx(1,3:4);
xx(k,2,2:3)=xwx(1,3:4);
w=pscale.*xx(:,:,1); m=pscale.*xx(:,:,4); p=w+m;

% calculate s
z=getz(xx); % size [K,NZ]
v=getv(p,z); ev=exp(v); % size [K,1]
evsum=sum(sum(ev,3),2)+ev0; % ev0 = exp(utility of outside good)
for kk=1:K,
    for tt=1:T
        s(:,kk,tt)=ev(:,kk,tt)./evsum;
    end
end  % size s : [R,K,T]
mktshr=squeeze(sum(s,1)/R); % size [K,T]
cv=getcv(xx);
profitM=MktSize.*mktshr.*(w-cv);
profitMFGR=sum(profitM,2);
profitMk=profitMFGR(k);
nfval=-profitMk;