function [cg,ceq]=focfuns(x)

global K pscale ev0 T NX
% xw,x11,x21
% xw,x12,x22
xx0=reshape(x,[6,K])';
xw_r1=xx0(:,1); xw_r2=xx0(:,2);
x1=xx0(:,3); x2=xx0(:,4);
xm_r1=xx0(:,5); xm_r2=xx0(:,6);
xx(1,1,:)=[xw_r1(1),x1(1),x2(1),xm_r1(1)];
xx(1,2,:)=[xw_r2(1),x1(1),x2(1),xm_r2(1)];
xx(2,1,:)=[xw_r1(2),x1(2),x2(2),xm_r1(2)];
xx(2,2,:)=[xw_r2(2),x1(2),x2(2),xm_r2(2)];
% xx size [K,T,4]

w=pscale.*xx(:,:,1); m=pscale.*xx(:,:,4); p=w+m;
 
% calculate s
z=getz(xx); % size [K,NZ]
v=getv(p,z); ev=exp(v); % size [K,1]
evsum=sum(sum(ev,3),2)+ev0; % ev0 = exp(utility of outside good)
for kk=1:K,
    for tt=1:T
        s(:,kk,tt)=ev(:,kk,tt)./evsum;
    end
end  % size s : [R,K,T]

% to calculate dm/dx and then dLdx
% FOC equations
dpidw=getdpidw(xx,s); % size [1,K*T]
dpidx=getdpidx(xx,z,s); % size [K,NX]
dpidm=getdpidm(m,s); % size [K*T,NX]
ceq=[ reshape(dpidw,[K*T,1]);
      reshape(dpidx,[K*NX,1]);
      reshape(dpidm,[K*T,1]); ];

% dummy cg
cg=[];