function fval=getdpidx(xx,z,s)

global pscale R K T NX
w=xx(:,:,1)*pscale;
c=getcv(xx);

% Check notebook to see how element in matrices arraged
% wc size [K,1]
wc=w-c; % MFGR margin [K,1]
% 5. dc/dx
dcdx=getdcdx(xx); % size [K,T,NX] 
dvzdx=getdvzdx(xx,z); % size [R,K,NX]
% s size: [R,K,T]
sumst=sum(s,3); % sumst size: [R,K]

% swc=zeros(R,K,T);
% for t=1:T
%     for kk=1:K % for single product - no j loop
%         swc(:,kk,t)=s(:,kk,t).*wc(kk,t);
%     end
% end

% dzdx: size [K,NZ,NX]
% dcdx: size [K,NX]
% handle all k at once
dpidx=zeros(R,K,NX);
for k=1:K
    for ix=1:NX
        for t=1:T
%            dpidx(:,k,ix)=dpidx(:,k,ix) + dvzdx(:,k,ix).*...
%              ( s(:,k,t).*wc(k,t) - sumst(:,k).*swc(:,k,t) )...
%              -s(:,k,t).*dcdx(k,t,ix);
            dpidx(:,k,ix)=dpidx(:,k,ix) + s(:,k,t) .* ...
                ( wc(k,t).*dvzdx(:,k,ix).*(1-sumst(:,k))-dcdx(k,t,ix) );
        end
    end
end

fval=squeeze(sum(dpidx,1)/R); % size [K,NX]
