function dvdx=getdvzdx(xx,z)

global K T R beta NX
% beta size: [R,1+NZ]
% z size: [K,NZ]

% calculate dvdz
for k=1:K
    dvdz1(:,k)=-100.*beta(:,2)./z(k,1).^2;
    dvdz2(:,k)= -60.*beta(:,3)./z(k,2).^2;
end % dvdz1 & dvdz2 size [R,K]

%% calculate dzdx analytically - call getdzdx
dzdx=getdzdx(xx); % size: [K,NZ,NX]
for k=1:K
    for xi=1:NX
        dvdx(:,k,xi)=dvdz1(:,k)*dzdx(k,1,xi)+dvdz2(:,k)*dzdx(k,2,xi);
    end
end
% size of dvdx: [R,K,NX]
