function nfval=objprofitMCR(xm,xx0,t)
% the MCR case in the VN game
% Nash condition check 
% check the MCR profit

global pscale MktSize ev0 K R T

% xm = [xm_k1 xm_k2]
xx=xx0; 
% replace xm with new ones for t's products
xx(1,t,4)=xm(1,1);
xx(2,t,4)=xm(1,2);

% calculate market share
w=pscale.*xx(:,:,1); m=pscale.*xx(:,:,4); p=w+m;
z=getz(xx); % size [K,NZ]
v=getv(p,z); ev=exp(v); % size [K,1]
evsum=sum(sum(ev,3),2)+ev0; % ev0 = exp(utility of outside good)
for kk=1:K,
    for tt=1:T
        s(:,kk,tt)=ev(:,kk,tt)./evsum;
    end
end  % size s : [R,K,T]
mktshr=squeeze(sum(s,1)/R); % size [K,T]

profitR=MktSize.*mktshr.*m;
profitMCR=sum(profitR,1);
profitRt=profitMCR(t);
nfval=-profitRt;