function fval=objprofitMCR(xmt,t,M)

% For each common retialer, xm should be a vector of all product prices
% xm size: [K,J]
% M size : [K,J,T,14]
global pscale mktSize K J T
xx=M(:,:,:,2:5); % get all xw, x1, x2 and xmm xx: size [K,J,T,4]

xx(:,:,t,4)=xmt; % replace common retailer t's prices of all products with xm
%xx(:,:,t,4)=repmat(xmt,[K,1]); % ** trick: give all same retail margin
mt=pscale.*xmt; % crmt = common retailer margin _ t
z=getz(xx); % size [K,NZ]
[profitM,pr]=estprofitM(xx,z); % size [K,J,T,1]
qty=pr(:,:,t)*mktSize; % demand of the products selling by this common retailer t
profitCRt=sum(qty.*mt,1); % total retail profit of this common retailer t
fval=-profitCRt;

